Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.common.ui
Class ResourceIcon

    java.lang.Object
      javax.swing.ImageIcon
          com.sshtools.common.ui.ResourceIcon

All Implemented Interfaces:
  javax.accessibility.Accessible, javax.swing.Icon, java.io.Serializable

public class ResourceIcon
extends javax.swing.ImageIcon

DOCUMENT ME!

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.ImageIcon
`javax.swing.ImageIcon.AccessibleImageIcon`

Field Summary

Fields inherited from class javax.swing.ImageIcon
`component, tracker`

Constructor Summary
`ResourceIcon(java.lang.Class cls, java.lang.String image)` Creates a new ResourceIcon object.
`ResourceIcon(java.lang.String imageName)` Creates a new ResourceIcon object.

Method Summary
`protected void` | `loadImage(java.lang.String imageName)` DOCUMENT ME!

Methods inherited from class javax.swing.ImageIcon
`getAccessibleContext, getDescription, getIconHeight, getIconWidth, getImage, getImageLoadStatus, getImageObserver, loadImage, paintIcon, setDescription, setImage, setImageObserver, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResourceIcon

    public ResourceIcon(java.lang.Class cls,
                        java.lang.String image)

  Creates a new ResourceIcon object.

Parameters:
  `cls` - DOCUMENT ME!
  `image` - DOCUMENT ME!

### ResourceIcon

    public ResourceIcon(java.lang.String imageName)

  Creates a new ResourceIcon object.

Parameters:
  `imageName` - DOCUMENT ME!

Method Detail

### loadImage

    protected void loadImage(java.lang.String imageName)

  DOCUMENT ME!

  Parameters:
    `imageName` - DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD